package VignetteMultiply
{
	function clientcmdSetVignette(%multiply, %color, %multColor)
	{
		if (%multColor !$= "")
		{
			%multiply = 0;
			PlayGui_VignetteMultiplyA.setColor(vectorScale(%multColor, 1 - getWord(%multColor, 3)));
			PlayGui_VignetteMultiplyB.setColor(%multColor);
		}
		else
		{
			PlayGui_VignetteMultiplyA.setColor("0 0 0 0");
			PlayGui_VignetteMultiplyB.setColor("0 0 0 0");
		}
		Parent::clientcmdSetVignette(%multiply, %color);
	}
	
	function PlayGui::onWake(%this)
	{
		Parent::onWake(%this);
		if (!PlayGui.isMember(PlayGui_VignetteMultiplyA))
		{
			PlayGui.add(PlayGui_VignetteMultiplyA);
			PlayGui.add(PlayGui_VignetteMultiplyB);
			PlayGui.bringToFront(PlayGui_VignetteMultiplyB);
			PlayGui.bringToFront(PlayGui_VignetteMultiplyA);
		}
		%ext = getRes();
		PlayGui_VignetteMultiplyA.resize(0, 0, getWord(%ext, 0), getWord(%ext, 1));
		PlayGui_VignetteMultiplyB.resize(0, 0, getWord(%ext, 0), getWord(%ext, 1));
	}
	
	function resetCanvas()
	{
		Parent::resetCanvas(%this);
		if (!PlayGui.isMember(PlayGui_VignetteMultiplyA))
		{
			PlayGui.add(PlayGui_VignetteMultiplyA);
			PlayGui.add(PlayGui_VignetteMultiplyB);
			PlayGui.bringToFront(PlayGui_VignetteMultiplyB);
			PlayGui.bringToFront(PlayGui_VignetteMultiplyA);
		}
		%ext = getRes();
		PlayGui_VignetteMultiplyA.resize(0, 0, getWord(%ext, 0), getWord(%ext, 1));
		PlayGui_VignetteMultiplyB.resize(0, 0, getWord(%ext, 0), getWord(%ext, 1));
	}
};
activatePackage("VignetteMultiply");

if (!isObject(PlayGui_VignetteMultiplyA))
	new GuiBitmapCtrl(PlayGui_VignetteMultiplyA)
	{
		bitmap = "Add-Ons/Client_VignetteMultiply/Blank.png";
		mMultiply = 1;
	};
if (!isObject(PlayGui_VignetteMultiplyB))
	new GuiBitmapCtrl(PlayGui_VignetteMultiplyB)
	{
		bitmap = "Add-Ons/Client_VignetteMultiply/White.png";
		mMultiply = 1;
	};